## org.codehaus.groovy.control
Class ClassgenCallback

A callback interface you can use to "accompany" the classgen() code as it traverses the ClassNode tree. You will be called-back for each primary and inner class. Use setClassgenCallback() before running compile() to set your callback.

Constructor Summary
`ClassgenCallback()`

Method Summary
`void` | `call(ClassVisitor writer, ClassNode node)`
`void` | `setClassgenCallback(ClassgenCallback visitor)` Sets a ClassgenCallback.

Constructor Detail

### ClassgenCallback

    ClassgenCallback()

Method Detail

### call

    public void call(ClassVisitor writer, ClassNode node)

### setClassgenCallback

    public void setClassgenCallback(ClassgenCallback visitor)

  Sets a ClassgenCallback. You can have only one, and setting it to null removes any existing setting.